# Update spend rules for a managed card

Must be user after a POST, to update individual spend rules associated with the managed card identified by the `id` path parameter.

Endpoint: PATCH /managed_cards/{id}/spend_rules
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `id` (string, required)

## Header parameters:

  - `idempotency-ref` (string)
    A unique call reference generated by the caller that, taking into consideration the payload as well as the operation itself, helps avoid duplicate operations. Idempotency reference uniqueness is maintained for at least 24 hours.

## Request fields (application/json):

  - `updateSpendLimitMethod` (string)
    The spend limit update method to apply. Currently supported:
- OVERWRITE: (default option if nothing selected). Overwrites the previous values for the spendLimit object i.e. sets new limits
- INCREMENT : This will increase the existing value of the spend limit by the amount input the value field. If used in conjunction with an ALWAYS interval, this can be used to increment a spend limit on a periodic basis (controlled by you, e.g. monthly), and means that any 'unused' balance from the previous period will still available to spend. See examples in our documentation
    Enum: "OVERWRITE", "INCREMENT"

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "SPEND_LIMIT_CURRENCY_DIFFERENT_FROM_CARD_CURRENCY", "SPEND_LIMIT_NOT_SUPPORTED_FOR_PREPAID_MODE_CARD", "SPEND_LIMIT_DUPLICATE_INTERVAL", "SPEND_LIMIT_AMOUNT_INVALID", "SPEND_LIMIT_CURRENCY_DIFFERENT_FROM_USER_CURRENCY"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

